inst-bpm - Task #9753

Refactor the copy methods in Bpmdinterface to use STL algorithms
07/28/2015 11:43 AM - John Diamond

Status: Closed Start date: 07/28/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: bpmd Estimated time: 2.00 hours
Target version: Spent time: 1.50 hour
Description

History

#1 - 07/28/2015 01:01 PM - John Diamond
- Status changed from Accepted to Closed

- % Done changed from 0 to 100

Refactored the for loops in copyRawData(..) and copyTBTData(..) to use the for_each algorithm and lambdas. Was able to eliminate the 'n' argument
(number of elements to copy) by using the destination range to drive the for_each loop.

#2 - 08/03/2015 11:40 AM - John Diamond

Tried compiling bpmcli and turned out that it was not converted to using the new Bpmdinterface copy methods.
Got this to compile but did not test yet as I'm working on #9761 at the moment...
